Package org.apache.catalina.tribes.transport.bio

## Class BioReceiver

- java.lang.Object
- - org.apache.catalina.tribes.transport.ReceiverBase
  - - org.apache.catalina.tribes.transport.bio.BioReceiver

All Implemented Interfaces:
  `java.lang.Runnable`, `ChannelReceiver`, `Heartbeat`, `ListenCallback`, `RxTaskPool.TaskCreator`

    public class BioReceiver
    extends ReceiverBase
    implements java.lang.Runnable

### Field Summary

Fields
`protected java.net.ServerSocket` `serverSocket`
`protected static StringManager` `sm`

### Fields inherited from class org.apache.catalina.tribes.transport.ReceiverBase

`OPTION_DIRECT_BUFFER`

### Fields inherited from interface org.apache.catalina.tribes.ChannelReceiver

`MAX_UDP_SIZE`

### Constructor Summary

Constructors
`BioReceiver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `bind()`
`AbstractRxTask` `createRxTask()`
`protected BioReplicationTask` `getReplicationThread()`
`void` `listen()`
`void` `run()`
`void` `start()` Start listening for incoming messages on the host/port
`void` `stop()` Stop listening for messages

### Methods inherited from class org.apache.catalina.tribes.transport.ReceiverBase

`bind, bindUdp, doListen, getActiveCount, getAddress, getAutoBind, getBind, getChannel, getCompletedTaskCount, getDirect, getExecutor, getHost, getListener, getMaxIdleTime, getMaxTasks, getMaxThreads, getMessageListener, getMinTasks, getMinThreads, getOoBInline, getPoolSize, getPort, getRxBufSize, getSecurePort, getSelectorTimeout, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTaskCount, getTaskPool, getTcpNoDelay, getTimeout, getTxBufSize, getUdpPort, getUdpRxBufSize, getUdpTxBufSize, getUseBufferPool, getWorkerThreadOptions, heartbeat, isDaemon, isListening, messageDataReceived, setAddress, setAutoBind, setBind, setChannel, setDaemon, setDirect, setExecutor, setHost, setListen, setListener, setMaxIdleTime, setMaxTasks, setMaxThreads, setMessageListener, setMinTasks, setMinThreads, setOoBInline, setPool, setPort, setRxBufSize, setSecurePort, setSelectorTimeout, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setTimeout, setTxBufSize, setUdpPort, setUdpRxBufSize, setUdpTxBufSize, setUseBufferPool`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

#### serverSocket

    protected java.net.ServerSocket serverSocket

### Constructor Detail

#### BioReceiver

    public BioReceiver()

### Method Detail

#### start

    public void start()
               throws java.io.IOException

Description copied from interface: `ChannelReceiver`
Start listening for incoming messages on the host/port

Specified by:
  `start` in interface `ChannelReceiver`
Overrides:
  `start` in class `ReceiverBase`
Throws:
  `java.io.IOException` - Listen failed

#### createRxTask

    public AbstractRxTask createRxTask()

Specified by:
  `createRxTask` in interface `RxTaskPool.TaskCreator`

#### getReplicationThread

    protected BioReplicationTask getReplicationThread()

#### stop

    public void stop()

Description copied from interface: `ChannelReceiver`
Stop listening for messages

Specified by:
  `stop` in interface `ChannelReceiver`
Overrides:
  `stop` in class `ReceiverBase`

#### bind

    protected void bind()
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### listen

    public void listen()
                throws java.lang.Exception

Throws:
  `java.lang.Exception`